--- title: "Wrap-Up Field" slug: "server-api-livechat-wrap-up-field" updated: 2024-12-03T05:47:12Z published: 2024-12-03T05:47:12Z canonical: "developer.comm100.com/server-api-livechat-wrap-up-field" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Wrap-Up Field ## Wrap-Up Field You need the Manage Campaigns permission to manage Wrap-Up Form Field. - `Wrap-Up Fields` - Wrap-Up Fields Manage - `GET livechat/wrapupFormFields` - [Get the list of Wrap-Up Fields](/docs/server-api-livechat-wrap-up-field#get-the-list-of-wrap-up-fields) - `GET livechat/wrapupFormFields/{id}` - [Get a single Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#get-a-single-wrap-up-field) - `POST livechat/wrapupFormFields` - [Create a new Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#create-a-new-wrap-up-field) - `PUT livechat/wrapupFormFields/{id}` - [Update the Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#update-the-wrap-up-field) - `DELETE livechat/wrapupFormFields/{id}` - [Remove the Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#remove-the-wrap-up-field) - `Wrapup Category Groups` - Wrapup Category Groups Manage - `GET livechat/wrapupCategoryGroups` - [Get the list of Wrapup Category Groups](/docs/server-api-livechat-wrap-up-field#get-the-list-of-wrapup-category-groups) - `GET livechat/wrapupCategoryGroups/{id}` - [Get a single Wrapup Category Group](/docs/server-api-livechat-wrap-up-field#get-a-single-wrapup-category-group) - `PUT livechat/wrapupCategoryGroups/{id}` - [Update the Wrapup Category Group](/docs/server-api-livechat-wrap-up-field#update-the-wrapup-category-group) - `Wrapup Category Options` - Wrapup Category Options Manage - `GET livechat/wrapupCategoryOptions` - [Get the list of Wrapup Category Options](/docs/server-api-livechat-wrap-up-field#get-the-list-of-wrapup-category-options) - `GET livechat/wrapupCategoryOptions/{id}` - [Get a single Wrapup Category Option](/docs/server-api-livechat-wrap-up-field#get-a-single-wrapup-category-option) ### Wrap-Up Field JSON Format Wrap-Up Field is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the wrap-up form field. | | `campaignId` | guid | Id of the campaign which the wrap-up form field belongs to. | | `fieldId` | guid | Id of the field which the wrap-up form field belongs to. | | `label` | string | Label of the wrap-up form field. | | `isVisible` | bool | Whether the wrap-up form field is visiable or not. | | `isRequired` | bool | Whether the wrap-up form field is required or not. | | `order` | integer | Order of the wrap-up form field. | | `field` | [field](/docs/field) | Reference to Field. | ### Get the list of Wrap-Up Fields `GET livechat/wrapupFormFields` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `campaignId` | guid | query | no | Id of the Campaign which the Wrap-Up Form Field belongs to. | | `isSystem` | bool | query | no | Whether the field is system field or not. | | `include` | string | query | no | Allowed values are "field", "wrapupCategoryGroup". | - #### Response: An array of [Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#wrap-up-field-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupFormFields \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "FCB01DA6-650C-495E-89E5-F3918CAB792B", "campaignId": "612E0EB3-F9A2-460D-B2D9-1A12E90B73B0", "fieldId": "D8F2C475-490C-4427-9C3D-535DE30B45DE", "label": "wrapup-text", "isVisible": true, "isRequired": false, "order": 0, "field": { "id": "a03cce30-f892-4286-8b7e-8e6c39cb4d19", "isSystem": false, "name": "Pre-textarea", "type": "radioBox", "leftText": "Highly unlikely", "rightText": "Highly likely", "fieldOptions": [ { "id": "314a02b2-cb4c-418f-b9bc-84fb4ad84254", "fieldId": "ca092d3f-21eb-492f-9142-205101b1d08a", "parentOptionId": "fa3e2d7b-cadb-47c1-ad7e-ef387907ec41", "value": "Text 2", "order": 0, "description": "" } ] } } ] ``` ### Get a single Wrap-Up Field `GET livechat/wrapupFormFields/{id}` - #### Parameters: No Parameters - #### Response: [Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#wrap-up-field-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupFormFields/FCB01DA6-650C-495E-89E5-F3918CAB792B \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "d268ba6a-6816-40cd-9cb2-e84ef4bed1fb", "campaignId": "9e7a73f1-06e3-475d-9ce1-d141f7011846", "fieldId": "fc2d8fb6-dbb2-4df4-9f42-653062505410", "label": "Category", "isVisible": true, "isRequired": true, "order": 0, "field": { "id": "fc2d8fb6-dbb2-4df4-9f42-653062505410", "isSystem": true, "name": "Category", "type": "category", "leftText": "", "rightText": "", "fieldOptions": [] }, "groups": [ { "siteId": 10000, "name": "Gruop1", "order": 0, "createdTime": "2021-01-29T06:45:44.863Z", "isDeleted": false, "wrapupCategoryOptions": [ { "siteId": 10000, "name": "option2", "groupId": "13641ee8-68d1-48e9-89ba-acbf006f7124", "order": 0, "description": "", "isDeleted": false, "id": "2a22c15a-26fc-4dd0-9ed0-acbf006f7124" } ], "id": "13641ee8-68d1-48e9-89ba-acbf006f7124" } ] } ``` ### Create a new Wrap-Up Field `POST livechat/wrapupFormFields` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `campaignId` | guid | body | no | Id of the campaign which the wrap-up form field belongs to. | | `fieldId` | guid | body | yes | Id of the field which the wrap-up form field belongs to. | | `label` | string | body | yes | Label of the wrap-up form field. | | `isVisible` | bool | body | no | Whether the wrap-up form field is visiable or not. | | `isRequired` | bool | body | no | Whether the wrap-up form field is required or not. | | `order` | integer | body | no | Order of the wrap-up form field. | - #### Response: [Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#wrap-up-field-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupFormFields \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"campaignId":"612E0EB3-F9A2-460D-B2D9-1A12E90B73B0","fieldId":"D8F2C475-490C-4427-9C3D-535DE30B45DE","label":"wrapup-text","isVisible":true,"isRequired":false,"order":0}' ``` Response: HTTP/1.1 201 Created ``` { "id": "FCB01DA6-650C-495E-89E5-F3918CAB792B", "campaignId": "612E0EB3-F9A2-460D-B2D9-1A12E90B73B0", "fieldId": "D8F2C475-490C-4427-9C3D-535DE30B45DE", "label": "wrapup-text", "isVisible": true, "isRequired": false, "order": 0, "field": { "id": "a03cce30-f892-4286-8b7e-8e6c39cb4d19", "isSystem": false, "name": "Pre-textarea", "type": "radioBox", "leftText": "Highly unlikely", "rightText": "Highly likely", "fieldOptions": [ { "id": "314a02b2-cb4c-418f-b9bc-84fb4ad84254", "fieldId": "ca092d3f-21eb-492f-9142-205101b1d08a", "parentOptionId": "fa3e2d7b-cadb-47c1-ad7e-ef387907ec41", "value": "Text 2", "order": 0, "description": "" } ] } } ``` ### Update the Wrap-Up Field `PUT livechat/wrapupFormFields/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `campaignId` | guid | body | no | Id of the campaign which the wrap-up form field belongs to. | | `fieldId` | guid | body | yes | Id of the field which the wrap-up form field belongs to. | | `label` | string | body | yes | Label of the wrap-up form field. | | `isVisible` | bool | body | no | Whether the wrap-up form field is visiable or not. | | `isRequired` | bool | body | no | Whether the wrap-up form field is required or not. | | `order` | integer | body | no | Order of the wrap-up form field. | - #### Response: [Wrap-Up Field](/docs/server-api-livechat-wrap-up-field#wrap-up-field-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupFormFields/FCB01DA6-650C-495E-89E5-F3918CAB792B \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"campaignId":"612E0EB3-F9A2-460D-B2D9-1A12E90B73B0","fieldId":"D8F2C475-490C-4427-9C3D-535DE30B45DE","label":"wrapup-text","isVisible":true,"isRequired":false,"order":0}' ``` Response: HTTP/1.1 200 OK ``` { "id": "FCB01DA6-650C-495E-89E5-F3918CAB792B", "campaignId": "612E0EB3-F9A2-460D-B2D9-1A12E90B73B0", "fieldId": "D8F2C475-490C-4427-9C3D-535DE30B45DE", "label": "wrapup-text", "isVisible": true, "isRequired": false, "order": 0, "field": { "id": "a03cce30-f892-4286-8b7e-8e6c39cb4d19", "isSystem": false, "name": "Pre-textarea", "type": "radioBox", "leftText": "Highly unlikely", "rightText": "Highly likely", "fieldOptions": [ { "id": "314a02b2-cb4c-418f-b9bc-84fb4ad84254", "fieldId": "ca092d3f-21eb-492f-9142-205101b1d08a", "parentOptionId": "fa3e2d7b-cadb-47c1-ad7e-ef387907ec41", "value": "Text 2", "order": 0, "description": "" } ] } } ``` ### Remove the Wrap-Up Field `DELETE livechat/wrapupFormFields/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupFormFields/FCB01DA6-650C-495E-89E5-F3918CAB792B \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Wrapup Category Group JSON Format Wrapup Category Group is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the wrap-up category group. | | `name` | string | Name of the wrap-up category group. | | `order` | integer | Order of the wrap-up category group. | | `createdTime` | datetime | Created time of the wrap-up category group. | | `siteId` | integer | Id of the site which the wrap-up category group belongs to. | | `wrapupCategoryOptions` | [wrapupCategoryOptions[]](/docs/server-api-livechat-wrap-up-field#wrapup-category-option-json-format) | Reference to Wrapup Category Option. | ### Get the list of Wrapup Category Groups `GET livechat/wrapupCategoryGroups` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "wrapupCategoryOption". | - #### Response: An array of [Wrapup Category Group](/docs/server-api-livechat-wrap-up-field#wrapup-category-group-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupCategoryGroups \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "1AEAE8BA-F91D-414F-8AB9-5992AF564EFD", "name": "97D0D2AB-AF00-415D-9FEB-302386AC40FC", "order": 1, "createdTime": "2021-04-07T06:05:28.98Z", "siteId": 10000, "wrapupCategoryOptions": [ { "id": "e9e1379a-c478-4659-b1c5-04d3da5efddf", "name": "Group101", "groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e", "order": 0, "siteId": 10000, "description": "" } ] } ] ``` ### Get a single Wrapup Category Group `GET livechat/wrapupCategoryGroups/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "wrapupCategoryOption". | - #### Response: [Wrapup Category Group](/docs/server-api-livechat-wrap-up-field#wrapup-category-group-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupCategoryGroups/1AEAE8BA-F91D-414F-8AB9-5992AF564EFD \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "1AEAE8BA-F91D-414F-8AB9-5992AF564EFD", "name": "97D0D2AB-AF00-415D-9FEB-302386AC40FC", "order": 1, "createdTime": "2021-04-07T06:05:28.98Z", "siteId": 10000, "wrapupCategoryOptions": [ { "id": "e9e1379a-c478-4659-b1c5-04d3da5efddf", "name": "Group101", "groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e", "order": 0, "siteId": 10000, "description": "", } ] } ``` ### Update the Wrapup Category Group `PUT livechat/wrapupCategoryGroups/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `name` | string | body | no | Name of the wrap-up category group. | | `order` | integer | body | no | Order of the wrap-up category group. | | `siteId` | integer | body | no | Id of the site which the wrap-up category group belongs to. | | `wrapupCategoryOptions` | [wrapupCategoryOptions[]](/docs/server-api-livechat-wrap-up-field#wrapup-category-option-json-format) | body | no | Reference to Wrapup Category Option. | - #### Response: [Wrapup Category Group](/docs/server-api-livechat-wrap-up-field#wrapup-category-group-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupCategoryGroups/1AEAE8BA-F91D-414F-8AB9-5992AF564EFD \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"name":"97D0D2AB-AF00-415D-9FEB-302386AC40FC","order":1,"siteId":10000,"wrapupCategoryOptions":[{"name":"Group101","order":0,"siteId":10000}]}' ``` Response: HTTP/1.1 200 OK ``` { "id": "1AEAE8BA-F91D-414F-8AB9-5992AF564EFD", "name": "97D0D2AB-AF00-415D-9FEB-302386AC40FC", "order": 1, "createdTime": "2021-04-07T06:05:28.98Z", "siteId": 10000, "wrapupCategoryOptions": [ { "id": "e9e1379a-c478-4659-b1c5-04d3da5efddf", "name": "Group101", "groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e", "order": 0, "siteId": 10000, "description": "" } ] } ``` ### Wrapup Category Option JSON Format Wrapup Category Option is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the wrap-up category option. | | `name` | string | Name of the wrap-up category option. | | `description` | string | Description of the wrap-up category option. You can add a description to enhance the accuracy of the smart wrap-up feature. However, a description isn't necessary if the option's name clearly reflects its purpose. | | `groupId` | guid | Id of the wrapup category group which the wrapup category option belongs to. | | `order` | integer | Order of the wrapup category option. | | `siteId` | integer | SiteId of the wrap-up category group which the wrapup category option belongs to. | ### Get the list of Wrapup Category Options `GET livechat/wrapupCategoryOptions` - #### Parameters: No Parameters - #### Response: An array of [Wrapup Category Option](/docs/server-api-livechat-wrap-up-field#wrapup-category-option-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupCategoryOptions \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "e9e1379a-c478-4659-b1c5-04d3da5efddf", "name": "Group101", "groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e", "order": 0, "siteId": 10000, "description": "" } ] ``` ### Get a single Wrapup Category Option `GET livechat/wrapupCategoryOptions/{id}` - #### Parameters: No Parameters - #### Response: [Wrapup Category Option](/docs/server-api-livechat-wrap-up-field#wrapup-category-option-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/wrapupCategoryOptions/e9e1379a-c478-4659-b1c5-04d3da5efddf \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "e9e1379a-c478-4659-b1c5-04d3da5efddf", "name": "Group101", "groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e", "order": 0, "siteId": 10000, "description": "" } ```